package com.gic.haoban.manage.service.entity.content;

import java.util.Date;
import java.io.Serializable;

/**
 * 销售线索(TabHaobanPotentialCustomer)实体类
 *
 * @author makejava
 * @since 2023-03-28 09:48:07
 */
public class TabHaobanPotentialCustomer implements Serializable {
    private static final long serialVersionUID = -28370046858269747L;

    private Long id;
    /**
     * 企业id
     */
    private String enterpriseId;
    /**
     * 会员id
     */
    private String memberId;
    /**
     * 会员微信公众号id
     */
    private String unionId;
    /**
     * 导购id
     */
    private String clerkId;
    /**
     * 销售线索-业务id
     */
    private String bizId;
    /**
     * 业务类型 1 素材
     */
    private Integer bizType;
    /**
     * 门店id
     */
    private String storeId;
    /**
     * 线索来源 1朋友圈; 2客户群; 3 对话框; 0其他
     */
    private Integer channelSource;
    /**
     * 事件类型 1访问素材;2访问商品; 3购买商品;
     */
    private Integer eventType;
    /**
     * 停留时长 单位秒
     */
    private Integer durationTime;

    /**
     * 访问次数
     */
    private Integer times;

    /**
     * 会员名称
     */
    private String memberName;
    /**
     * 会员昵称
     */
    private String memberNickName;
    /**
     * 会员手机号
     */
    private String memberPhone;
    /**
     * 成交数量
     */
    private Integer dealRecordNum;
    /**
     * 是否导购星标客户 1是; 0否
     */
    private Integer starFlag;
    /**
     * 是否看过 1 看过; 0未看过
     */
    private Integer seeFlag;
    /**
     * 最新访问时间
     */
    private Date lastAccessTime;
    /**
     * 状态 1 删除; 0正常
     */
    private Integer deleteFlag;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 更新时间
     */
    private Date updateTime;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getMemberId() {
        return memberId;
    }

    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

    public String getUnionId() {
        return unionId;
    }

    public void setUnionId(String unionId) {
        this.unionId = unionId;
    }

    public String getClerkId() {
        return clerkId;
    }

    public void setClerkId(String clerkId) {
        this.clerkId = clerkId;
    }

    public String getBizId() {
        return bizId;
    }

    public void setBizId(String bizId) {
        this.bizId = bizId;
    }

    public Integer getBizType() {
        return bizType;
    }

    public void setBizType(Integer bizType) {
        this.bizType = bizType;
    }

    public String getStoreId() {
        return storeId;
    }

    public void setStoreId(String storeId) {
        this.storeId = storeId;
    }

    public Integer getChannelSource() {
        return channelSource;
    }

    public void setChannelSource(Integer channelSource) {
        this.channelSource = channelSource;
    }

    public Integer getEventType() {
        return eventType;
    }

    public void setEventType(Integer eventType) {
        this.eventType = eventType;
    }

    public Integer getDurationTime() {
        return durationTime;
    }

    public void setDurationTime(Integer durationTime) {
        this.durationTime = durationTime;
    }

    public String getMemberName() {
        return memberName;
    }

    public void setMemberName(String memberName) {
        this.memberName = memberName;
    }

    public String getMemberNickName() {
        return memberNickName;
    }

    public void setMemberNickName(String memberNickName) {
        this.memberNickName = memberNickName;
    }

    public String getMemberPhone() {
        return memberPhone;
    }

    public void setMemberPhone(String memberPhone) {
        this.memberPhone = memberPhone;
    }

    public Integer getDealRecordNum() {
        return dealRecordNum;
    }

    public void setDealRecordNum(Integer dealRecordNum) {
        this.dealRecordNum = dealRecordNum;
    }

    public Integer getStarFlag() {
        return starFlag;
    }

    public void setStarFlag(Integer starFlag) {
        this.starFlag = starFlag;
    }

    public Integer getSeeFlag() {
        return seeFlag;
    }

    public void setSeeFlag(Integer seeFlag) {
        this.seeFlag = seeFlag;
    }

    public Date getLastAccessTime() {
        return lastAccessTime;
    }

    public void setLastAccessTime(Date lastAccessTime) {
        this.lastAccessTime = lastAccessTime;
    }

    public Integer getDeleteFlag() {
        return deleteFlag;
    }

    public void setDeleteFlag(Integer deleteFlag) {
        this.deleteFlag = deleteFlag;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getTimes() {
        return times;
    }

    public void setTimes(Integer times) {
        this.times = times;
    }
}

